Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           nautilus-sendto
Version:        0.13.2
Release: 	1
Summary:        Nautilus context menu for sending files

Group:          User Interface/Desktops
License:        GPLv2+
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2+-devel
BuildRequires:  libglade-devel
BuildRequires:  evolution-data-server-devel >= 1.9.1
BuildRequires:  libgnomeui-devel
BuildRequires:	nautilus-devel >= 2.5.4
BuildRequires:  pidgin-devel >= 2.0.0
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  dbus-glib-devel >= 0.70

Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

Patch1:		nautilus-sendto-0.7-thunderbird.patch

%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.  This package provides a default plugin for
Evolution integration.

%prep
%setup -q

%patch1 -p1 -b .thunderbird

# Enable the Thunderbird plugin by default
sed 's,enable_thunderbird=no,enable_thunderbird=yes,' configure > configure.new
mv -f configure.new configure
chmod +x configure

%build
%configure --sysconfdir=%_sysconfdir/gnome
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/nst.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/nst.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/nst.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/nautilus/extensions-2.0/libnautilus-sendto.so
%dir %{_libdir}/nautilus-sendto
%dir %{_libdir}/nautilus-sendto/plugins
%{_libdir}/nautilus-sendto/plugins/*.so
%{_datadir}/nautilus-sendto
%{_bindir}/nautilus-sendto
%{_libdir}/pidgin/nautilus.so
%{_sysconfdir}/gnome/gconf/schemas/nst.schemas
%{_mandir}/man1/nautilus-sendto.1.gz

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.13.1-1
- Version update
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.12-1
- Initial release
